com.oracle.truffle.object

## Class Transition

- java.lang.Object
- - com.oracle.truffle.object.Transition

Direct Known Subclasses:
  Transition.ObjectTypeTransition, Transition.PropertyTransition, Transition.ReservePrimitiveArrayTransition

    public abstract class Transition
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Transition.AddPropertyTransition`
`static class` `Transition.ObjectTypeTransition`
`static class` `Transition.PropertyTransition`
`static class` `Transition.RemovePropertyTransition`
`static class` `Transition.ReplacePropertyTransition`
`static class` `Transition.ReservePrimitiveArrayTransition`

### Constructor Summary

Constructors
Constructor and Description
`Transition()`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getShortName()`
`int` `hashCode()`
`abstract boolean` `isDirect()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Transition

    public Transition()

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### isDirect

    public abstract boolean isDirect()

#### getShortName

    public java.lang.String getShortName()